Subject: Re: problem with dlltools / gcc -shared
From: [email-masked] (Arno Waschk)
To: [email-masked]
Cc: "Xavier" <[email-masked]>
Date: Wed, 30 Oct 2002 16:43:02 +0100

Am 29.10.2002 13:08:00, schrieb "Xavier" <[email-masked]>:

>Hi there
>
>I try to compile a dll that exports 17000+ symbols
>during the creation of the .lib archive it creates those temporary .o files
>but it
>looks like it goes over the allowed number of files in the same directory or
>somethings around thoses lines (the / tree is on an NTFS partition)
>>dlltool -d wxmsw233.def -l libwxmsw233.dll.a
>dlltool:  bfd_open failure while opening stub file : ds10732.o
>>ls -l | wc -l
>17041
>
>gcc -shared generates a core dump in this particular case

I had something similar with that project. If I remember correctly, I was helped by using ld (binutils) from fresh CVS...
But this never happened here with older ld on other platform!

Arno

>System used :
>/home> uname -a
>CYGWIN_NT-5.0 TEMPO7 1.3.13(0.62/3/2) 2002-10-13 23:15 i686 unknown
>(same pbs with a 1.3.14-1)
>/home> gcc -v
>Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/3.2/specs
>Configured with:
>/netrel/src/gcc-3.2-1/configure --enable-languages=c,c++,f77,ja
>va --enable-libgcj --enable-threads=posix --with-system-zlib --enable-nls --
>with
>out-included-gettext --enable-interpreter --disable-sjlj-exceptions --disabl
>e-ve
>rsion-specific-runtime-libs --enable-shared --build=i686-pc-linux --host=i68
>6-pc
>-cygwin --target=i686-pc-cygwin --enable-haifa --prefix=/usr --exec-prefix=/
>usr
>--sysconfdir=/etc --libdir=/usr/lib --includedir=/nonexistent/include --libe
>xecd
>ir=/usr/sbin
>Thread model: posix
>gcc version 3.2 20020818 (prerelease)
>
>Xavier
>
>
>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/